import express from 'express';
import { IDataSesion } from './DataSesion';

let router = express.Router();

router.get('/login',
	(
		req: express.Request,
		res: express.Response
	) => {
		res.render('login', {
			titulo: 'Ingreso a la App'
		});
	}
);

router.post('/login',
	(
		req: express.Request,
		res: express.Response,
		next: express.NextFunction
	) => {
		console.log(`usuario: ${req.body.usuario}`);
		if (req.body.usuario?.length > 0) {
		  console.log('usuario encontrado');
		  (<IDataSesion>req.session).usuario = req.body.usuario;
		  res.redirect('/');	
		} else {
		  res.render('login', {
			titulo: 'Ingreso a la App',
			mensajeError: 'Usuario o clave incorrecta'
		  })
		}
	}
);

export { router };
